KDESVN-BUILD(1)

NAME

kdesvn-build - automate the kde svn build process

SYNOPSIS
kdesvn-build [options]... [modules]...

DESCRIPTION
The kdesvn-build script is used to automate the download, build, and install process for KDE (using Subversion).

It is recommended that you first setup a .kdesvn-buildrc file in your home directory. Please refer to kdesvn-build help file in KDE help for information on how to write .kdesvn-buildrc, or consult the sample file which should have been included with this program. If you don't setup a .kdesvn-buildrc, a default set of options will be used, and a few modules will be built by default.

After setting up .kdesvn-buildrc, you can run this program from either the command-line or from cron. It will automatically download the modules from Subversion, create the build system, and configure and make the modules you tell it to. You can use this program to install KDE as well, if you are building KDE for a single user. Note that kdesvn-build will try to install the modules by default.

If you DO specify a package name, then your settings will still be read, but the script will try to build / install the package regardless of .kdesvn-buildrc

kdesvn-build reads options in the following order:

1. From the command line.
2. From the file kdesvn-buildrc in the current directory.  Note that the file is not a hidden file.
3. From the file ~/.kdesvn-buildrc.
4. From a set of internal options.

This utility is part of the KDE Software Development Kit.

OPTIONS

--quiet,  -q
    With this switch kdesvn-build will only output a general overview of the build process. Progress output is still displayed if available.

--really-quiet
    With this switch only warnings and errors will be output.

--verbose,  -v
    Be very detailed in what is going on, and what actions kdesvn-build is taking. Only --debug is more detailed.

--no-svn
    Skip contacting the Subversion server.

--no-build
    Skip the build process.

--no-install
    Don't automatically install after build.

--svn-only
    Update from Subversion only (Identical to --no-build at this point).

--build-only
    Build only, do not perform updates or install.

--rc-file=<filename>
    Read configuration from filename instead of default.

--debug
    Activates debug mode.

--pretend,  -p
    Do not contact the Subversion server, run make, or create / delete files and directories. Instead, output what the script would have done.

--nice=<value>
    Allow you to run the script with a lower priority. The default value is 10 (lower priority by 10 steps).

--prefix=/kde/path
    This option is a shortcut to change the setting for kdedir from the command line. It implies --reconfigure.

--color
    Add color to the output.

--no-color
    Remove color from the output.

--resume
    Tries to resume the make process from the last time the script was run, without performing the Subversion update.

--resume-from=<pkg>
    Starts building from the given package, without performing the Subversion update.

--revision=<rev>, -r=<rev>
    Forces update to revision <rev> from Subversion.

--refresh-build
    Start the build from scratch. This means that the build directory for the module will be deleted before make -f Makefile.cvs is run again. You can use --recreate-configure to do the same thing without deleting the module build directory.

--reconfigure
    Run configure again, but don't clean the build directory or re-run make -f Makefile.cvs.

--recreate-configure
    Run make -f Makefile.cvs again to redo the configure script. The build directory is not deleted.

--no-rebuild-on-fail
    Do not try to rebuild a module from scratch if it failed building. Normally kdesvn-build will try progressively harder to build the module before giving up.

--build-system-only
    Create the build infrastructure, but don't actually perform the build.

--install
    Try to install the packages passed on the command line, or all packages in ~/.kdesvn-buildrc that don't have manual-build set. Building and Subversion updates are not performed.

--<option>=
    Any unrecognized options are added to the global configuration, overriding any value that may exist.

    For example, --svn-server=http://path.to.svn.server/ would change the setting of the global svn-server option for this instance of kdesvn-build.

--<module>,<option>=
    Likewise, allow you to override any module specific option from the command line.

    Example: --kdelibs,use-unsermake=false would disable unsermake for the kdelibs module.

--help
    Display the help and exit.

--author
    Output the author(s)'s name.

--version
    Output the program version.

EXAMPLES

kdesvn-build
kdesvn-build --no-svn kdelibs
kdesvn-bulid --refresh-build kdebase

BUGS
Since kdesvn-build doesn't generally save information related to the build and prior settings, you may need to manually re-run kdesvn-build with a flag like --recreate-configure if you change some options, including use-unsermake.

Please use KDE bugzilla at http://bugs.kde.org for information and reporting bugs.

SEE ALSO
You can find additional information at kdesvn-build home page, http://kdesvn-build.kde.org/, or using kdesvn-build docbook documentation, using the help kioslave, help:/kdesvn-build.

AUTHOR
Michael Pyne <michael.pyne@kdemail.net>

Man page written by: Carlos Leonhard Woelz <carlos.woelz@kdemail.net>